package com.ruoyi.ems.service;

import java.util.List;

import com.ruoyi.ems.domain.EmsObjAttrEnum;

/**
 * 能源对象属性枚举Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IEmsObjAttrEnumService {
    /**
     * 查询能源对象属性枚举列表
     *
     * @param modelCode 模型代码
     * @param attrKey 模型代码
     * @return 能源对象属性枚举集合
     */
    List<EmsObjAttrEnum> getObjAttrEnumList(String modelCode, String attrKey);

    /**
     * 查询能源对象属性枚举列表
     *
     * @param modelCode 模型代码
     * @param attrKey 属性标识
     * @return 能源对象属性枚举集合
     */
    EmsObjAttrEnum getObjAttrEnum(String modelCode, String attrKey, String attrValue);

    /**
     * 新增能源对象属性枚举
     *
     * @param objAttrEnum 能源对象属性枚举
     * @return 结果
     */
    int addObjAttrEnum(EmsObjAttrEnum objAttrEnum);

    /**
     * 新增能源对象属性枚举
     *
     * @param objAttrEnums 能源对象属性枚举列表
     * @return 结果
     */
    int addObjAttrEnumBatch(List<EmsObjAttrEnum> objAttrEnums);

    /**
     * 批量删除能源对象属性枚举
     *
     * @param modelCode 模型代码
     * @return 结果
     */
    int deleteByModelCode(String modelCode);

    /**
     * 删除能源对象属性枚举信息
     *
     * @param id 主键id
     * @return 结果
     */
    int deleteById(Long id);
}
